package com.tofly.base;

import com.tofly.base.config.FeignConfig;
import com.tofly.baseapi.config.ToflyWebColudApplication;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @author Administrator
 * @date 2019/9/4  15:50
 */


@ToflyWebColudApplication
@EnableDiscoveryClient
@EnableFeignClients(basePackages ={"com.tofly.api","com.tofly.common.log"},defaultConfiguration = {FeignConfig.class})
public class BaseApplication {
    public static void main(String[] args) {
        SpringApplication.run(BaseApplication.class, args);
    }
}
