/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.base.mapper;

import cn.hutool.db.PageResult;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;


import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.base.entity.dto.MessagepushDto;
import com.tofly.base.vo.MessagepushVo;
import com.tofly.pojo.message.Messagepush;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 消息推送数据表:TF_YWPN_MESSAGEPUSH_W
 *
 * @author admin
 * @date Wed Mar 31 00:00:00 CST 2021
 */
public interface MessagepushMapper extends BaseMapper<Messagepush> {

    Page<MessagepushVo> getMessagePageInfo(Page<MessagepushVo> page, @Param("dto") MessagepushDto dto);
}
