/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.yswzMaterials.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.yswzMaterials.entity.StocksMaterialType;
import com.tofly.yswzMaterials.service.StocksMaterialTypeService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

/**
 * 库存物资类型表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
/*@RestController
@AllArgsConstructor
@RequestMapping("/tfstocksmaterialtype")
@Api(tags = "库存物资类型表接口")*/
public class StocksMaterialTypeController {

  /*private final StocksMaterialTypeService tfStocksMaterialTypeService;

  *//**
   * 分页查询
   *
   * @param page 分页对象
   * @param tfStocksMaterialType 库存物资类型表
   * @return
   *//*
  @GetMapping("/page")
  @ApiOperation(value = "分页查询")
  public ResultRespone getStocksMaterialTypePage(
      Page page, @ModelAttribute StocksMaterialType tfStocksMaterialType) {
    return ResultRespone.success(
        tfStocksMaterialTypeService.page(page, Wrappers.query(tfStocksMaterialType)));
  }

  *//**
   * 列表查询
   *
   * @param tfStocksMaterialType 库存物资类型表
   * @return
   *//*
  @GetMapping("/list")
  @ApiOperation(value = "列表查询")
  public ResultRespone getStocksMaterialTypeList(
      @ModelAttribute StocksMaterialType tfStocksMaterialType) {
    return ResultRespone.success(
        tfStocksMaterialTypeService.list(Wrappers.query(tfStocksMaterialType)));
  }

  *//**
   * 通过id查询库存物资类型表
   *
   * @param id id
   * @return ResultRespone
   *//*
  @GetMapping("/{id}")
  @ApiOperation(value = "通过ID查询")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
  })
  public ResultRespone getById(@PathVariable("id") Long id) {
    return ResultRespone.success(tfStocksMaterialTypeService.getById(id));
  }

  *//**
   * 新增库存物资类型表
   *
   * @param tfStocksMaterialType 库存物资类型表
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "新增库存物资类型表")
  @ApiOperation(value = "新增库存物资类型表")
  @PostMapping
  public ResultRespone save(@RequestBody StocksMaterialType tfStocksMaterialType) {
    return ResultRespone.success(tfStocksMaterialTypeService.save(tfStocksMaterialType));
  }

  *//**
   * 修改库存物资类型表
   *
   * @param tfStocksMaterialType 库存物资类型表
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "修改库存物资类型表")
  @ApiOperation(value = "修改库存物资类型表")
  @PutMapping
  public ResultRespone updateById(@RequestBody StocksMaterialType tfStocksMaterialType) {
    return ResultRespone.success(tfStocksMaterialTypeService.updateById(tfStocksMaterialType));
  }

  *//**
   * 通过id删除库存物资类型表
   *
   * @param id id
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "通过id删除库存物资类型表")
  @ApiOperation(value = "通过ID删除库存物资类型表")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
  })
  @DeleteMapping("/{id}")
  public ResultRespone removeById(@PathVariable Long id) {
    return ResultRespone.success(tfStocksMaterialTypeService.removeById(id));
  }

  *//**
   * 通过id批量删除库存物资类型表
   *
   * @param ids id
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "通过id批量删除库存物资类型表")
  @ApiOperation(value = "通过ID批量删除库存物资类型表")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
  })
  @DeleteMapping("/deleteByIds")
  public ResultRespone removeById(String ids) {
    return ResultRespone.success(
        tfStocksMaterialTypeService.removeByIds(Arrays.asList(ids.split(","))));
  }*/
}
