/*
 * Author: wangjian
 * 生成controller
 */
package com.tofly.yswzMaterials.controller;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.common.core.entity.ResultRespone;
import com.tofly.common.log.annotation.ToFlyAppLog;
import com.tofly.yswzMaterials.entity.StocksOutstockDetail;
import com.tofly.yswzMaterials.service.StocksOutstockDetailService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Arrays;

/**
 * 库存出库明细表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
/*@RestController
@AllArgsConstructor
@RequestMapping("/tfstocksoutstockdetail")*/
@Api(tags = "库存出库明细表接口")
public class StocksOutstockDetailController {

  /*private final StocksOutstockDetailService tfStocksOutstockDetailService;

  *//**
   * 分页查询
   *
   * @param page 分页对象
   * @param tfStocksOutstockDetail 库存出库明细表
   * @return
   *//*
  @GetMapping("/page")
  @ApiOperation(value = "分页查询")
  public ResultRespone getStocksOutstockDetailPage(
      Page page, @ModelAttribute StocksOutstockDetail tfStocksOutstockDetail) {
    return ResultRespone.success(
        tfStocksOutstockDetailService.page(page, Wrappers.query(tfStocksOutstockDetail)));
  }

  *//**
   * 通过id查询库存出库明细表
   *
   * @param id id
   * @return ResultRespone
   *//*
  @GetMapping("/{id}")
  @ApiOperation(value = "通过ID查询")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
  })
  public ResultRespone getById(@PathVariable("id") Long id) {
    return ResultRespone.success(tfStocksOutstockDetailService.getById(id));
  }

  *//**
   * 新增库存出库明细表
   *
   * @param tfStocksOutstockDetail 库存出库明细表
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "新增库存出库明细表")
  @ApiOperation(value = "新增库存出库明细表")
  @PostMapping
  public ResultRespone save(@RequestBody StocksOutstockDetail tfStocksOutstockDetail) {
    return ResultRespone.success(tfStocksOutstockDetailService.save(tfStocksOutstockDetail));
  }

  *//**
   * 修改库存出库明细表
   *
   * @param tfStocksOutstockDetail 库存出库明细表
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "修改库存出库明细表")
  @ApiOperation(value = "修改库存出库明细表")
  @PutMapping
  public ResultRespone updateById(@RequestBody StocksOutstockDetail tfStocksOutstockDetail) {
    return ResultRespone.success(tfStocksOutstockDetailService.updateById(tfStocksOutstockDetail));
  }

  *//**
   * 通过id删除库存出库明细表
   *
   * @param id id
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "通过id删除库存出库明细表")
  @ApiOperation(value = "通过ID删除库存出库明细表")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "id", value = "ID", required = true, dataType = "Long")
  })
  @DeleteMapping("/{id}")
  public ResultRespone removeById(@PathVariable Long id) {
    return ResultRespone.success(tfStocksOutstockDetailService.removeById(id));
  }

  *//**
   * 通过id批量删除库存出库明细表
   *
   * @param ids id
   * @return ResultRespone
   *//*
  @ToFlyAppLog(title = "通过id批量删除库存出库明细表")
  @ApiOperation(value = "通过ID批量删除库存出库明细表")
  @ApiImplicitParams({
    @ApiImplicitParam(name = "ids", value = "批量删除，多个id以逗号隔开", required = true, dataType = "String")
  })
  @DeleteMapping("/deleteByIds")
  public ResultRespone removeById(String ids) {
    return ResultRespone.success(
        tfStocksOutstockDetailService.removeByIds(Arrays.asList(ids.split(","))));
  }*/
}
