package com.tofly.yswzMaterials.custom.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.yswzMaterials.entity.dto.StatisticsQuery;
import com.tofly.yswzMaterials.entity.vo.StatisticsTotalVo;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */

public interface StatisticsService {

    /**
     * 记录汇总
     * @param query query
     * @return list
     */
    List<StatisticsTotalVo> recordStatistics(StatisticsQuery query);

    /**
     * 记录详情查询
     * @param page page
     * @param query query
     * @return page
     */
    Page recordInfoPage(Page page,StatisticsQuery query);

    /**
     * 物资费用汇总
     * @param query 查询条件
     * @return list
     */
    List<Map<String, Object>> summaryOfMaterialCosts(StatisticsQuery query);

    Page<Map<String, Object>> detailOfMaterialCosts(Page page,StatisticsQuery query);



}
