package com.tofly.yswzMaterials.entity.vo;

import com.tofly.yswzMaterials.entity.StocksAudit;
import com.tofly.yswzMaterials.entity.StocksInstockInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class InstockInfoVo extends StocksInstockInfo {

  /** 入库明细数据 */
  @ApiModelProperty(value = "入库明细数据")
  public List<InstockDetailVo> instockDetailVos;

  @ApiModelProperty(value = "审核信息")
  public List<StocksAudit> auditInfo;

  /** 仓库名称 */
  @ApiModelProperty(value = "仓库名称")
  private String storeName;

  /** 水厂名称 */
  @ApiModelProperty(value = "水厂名称")
  private String waterworksName;

  /** 入库人 */
  @ApiModelProperty(value = "入库人")
  private String instockUserName;
}
