package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.yswzMaterials.entity.StocksAuditConfig;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author bubble
 */
@Mapper
public interface StocksAuditConfigMapper extends BaseMapper<StocksAuditConfig> {

    /**
     * 查询type名称
     * @param type type
     * @return string
     */
    String queryTypeName(@Param("type") Long type);

    /**
     * 获取当前类型最大审核等级
     * @param type Type
     * @return integer
     */
    Integer getTypeMaxLevel(@Param("type") Long type);

    /**
     * 获取当前类型审核数量
     * @param type type
     * @return integer
     */
    Integer countAuditNumByType(@Param("type") Long type);
}
