/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.yswzMaterials.entity.StocksShelves;
import com.tofly.yswzMaterials.entity.vo.ShelvesVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 库存货架表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
public interface StocksShelvesMapper extends BaseMapper<StocksShelves> {

  List<ShelvesVo> getShelvesPage(Page page, @Param("queryMap") Map<String, Object> queryMap);

  List<ShelvesVo> getShelves(@Param("queryMap") Map<String, Object> queryMap);
}
