/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksShelves;
import com.tofly.yswzMaterials.entity.vo.ShelvesVo;

import java.util.List;
import java.util.Map;

/**
 * 库存货架表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
public interface StocksShelvesService extends IService<StocksShelves> {

  Page<ShelvesVo> getShelvesPage(Page page, Map<String, Object> queryMap);

  List<ShelvesVo> getShelves(Map<String, Object> queryMap);

  boolean isExist(StocksShelves shelves);
}
