/*
 * Author: wangjian
 * 生成Service
 */
package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksStockInfo;
import com.tofly.yswzMaterials.entity.dto.StockInfoQuery;
import com.tofly.yswzMaterials.entity.vo.*;
import org.apache.ibatis.annotations.Param;

/**
 * 物资库存信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
public interface StocksStockInfoService extends IService<StocksStockInfo> {

  Page<StockInfoVo> getDataByPage(Page page, StockInfoQuery stockInfoQuery);

  Page<StockInstockVo> getInStoreDataPage(Page page, Long stockInfoId);

  Page<StockInstockVo> getReturnStoreDataPage(Page page,  Long stockInfoId);

  Page<StockOutstockVo> getOutStoreDataPage(Page page, Long stockInfoId);

  Page<StockSupplementVo> getSupplementDataPage(Page page, Long stockInfoId);

  Page<StockTakeawayVo> getTakeawayDataPage(Page page, Long stockInfoId);

}
