/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.yswzMaterials.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.yswzMaterials.entity.StocksStockInfo;
import com.tofly.yswzMaterials.entity.dto.StockInfoQuery;
import com.tofly.yswzMaterials.entity.vo.*;
import com.tofly.yswzMaterials.mapper.StocksStockInfoMapper;
import com.tofly.yswzMaterials.service.StocksStockInfoService;
import org.springframework.stereotype.Service;

/**
 * 物资库存信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
@Service("stocksStockInfoService")
public class StocksStockInfoServiceImpl extends ServiceImpl<StocksStockInfoMapper, StocksStockInfo>
    implements StocksStockInfoService {
  @Override
  public Page<StockInfoVo> getDataByPage(Page page, StockInfoQuery stockInfoQuery) {
    return baseMapper.getDataByPage(page, stockInfoQuery);
  }

  @Override
  public Page<StockInstockVo> getInStoreDataPage(Page page, Long stockInfoId) {
    return baseMapper.getInStoreDataPage(page, stockInfoId,0L);
  }

  @Override
  public Page<StockInstockVo> getReturnStoreDataPage(Page page, Long stockInfoId) {
    return baseMapper.getInStoreDataPage(page, stockInfoId,1L);
  }

  @Override
  public Page<StockOutstockVo> getOutStoreDataPage(Page page, Long stockInfoId) {
    return baseMapper.getOutStoreDataPage(page, stockInfoId);
  }

  @Override
  public Page<StockSupplementVo> getSupplementDataPage(Page page, Long stockInfoId) {
    return baseMapper.getSupplementDataPage(page, stockInfoId);
  }

  @Override
  public Page<StockTakeawayVo> getTakeawayDataPage(Page page, Long stockInfoId) {
    return baseMapper.getTakeawayDataPage(page, stockInfoId);
  }
}
