package com.tofly.yswzMaterials;

import com.tofly.baseapi.config.ToflyWebColudApplication;
import com.tofly.yswzMaterials.config.FeignConfig;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

@ToflyWebColudApplication
@EnableFeignClients(
    basePackages = {"com.tofly.api", "com.tofly.yswzMaterials"},
    defaultConfiguration = {FeignConfig.class})
@MapperScan({"com.tofly.*.mapper", "com.tofly.*.custom.mapper"})
public class YswzMaterialsApplication {
  public static void main(String[] args) {
    SpringApplication.run(YswzMaterialsApplication.class, args);
  }
}
