package com.tofly.yswzMaterials.em;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Bubble
 */

@Getter
@AllArgsConstructor
public enum JinDieUrlEnum {
    /*---------------获取全部基础信息接口---------------*/
    GET_ALL_MATERIAL_URL("0","/api/KD/G/getICItem"),
    GET_ALL_WAREHOUSE_URL("1","/api/KD/G/getStock"),
    GET_ALL_VENDOR_URL("2","/api/KD/G/getSupply"),
    GET_ALL_DEPARTMENT_URL("3","/api/KD/G/getDept"),
    GET_ALL_EMPLOYEE_TYPE("4","/api/KD/G/getEmp"),
    GET_ALL_UNIT_URL("5","/api/KD/G/getUnit"),

    /*---------------基础信息条件接口---------------*/
    GET_MATERIAL_URL("6","/api/KD/P/getICItem"),
    GET_WAREHOUSE_URL("7","/api/KD/P/getStock"),
    GET_VENDOR_URL("8","/api/KD/P/getSupply"),
    GET_DEPARTMENT_URL("9","/api/KD/P/getDept"),
    GET_EMPLOYEE_TYPE("10","/api/KD/P/getEmp"),
    GET_UNIT_URL("11","/api/KD/P/getUnit"),

    /*---------------基础信息删除接口---------------*/
    DELETE_MATERIAL_URL("12","/api/KD/P/deleteICItem"),
    DELETE_WAREHOUSE_URL("13","/api/KD/P/deleteStock"),
    DELETE_VENDOR_URL("14","/api/KD/P/deleteSupply"),
    DELETE_DEPARTMENT_URL("15","/api/KD/P/deleteDept"),
    DELETE_EMPLOYEE_TYPE("16","/api/KD/P/deleteEmp"),
    DELETE_UNIT_URL("17","/api/KD/P/deleteUnit"),

    /*---------------基础信息新增接口---------------*/
    SAVE_MATERIAL_URL("18","/api/KD/P/saveICItem"),
    SAVE_WAREHOUSE_URL("19","/api/KD/P/saveStock"),
    SAVE_VENDOR_URL("20","/api/KD/P/saveSupply"),
    SAVE_DEPARTMENT_URL("21","/api/KD/P/saveDept"),
    SAVE_EMPLOYEE_TYPE("22","/api/KD/P/saveEmp"),
    SAVE_UNIT_URL("23","/api/KD/P/saveUnit"),

    /*---------------外购入库相关接口---------------*/
    SAVE_UPDATE_STORAGE_URL("24","/api/KD/P/savePurInStock"),
    GET_STORAGE_URL("25","/api/KD/G/getPurInStock"),
    /*---------------生产领料相关接口---------------*/
    SAVE_UPDATE_PICKING_URL("26","/api/KD/P/saveRecvOutStock"),
    GET_PICKING_URL("27","/api/KD/G/getRecvOutStock"),
    /*---------------盘盈相关接口---------------*/
    SAVE_UPDATE_PROFIT_URL("28","/api/KD/P/saveInvPlusStock"),
    GET_PROFIT_URL("29","/api/KD/G/getInvPlusStock"),
    /*---------------盘亏相关接口---------------*/
    SAVE_UPDATE_LOSS_URL("30","/api/KD/P/saveInvLossStock"),
    GET_LOSS_URL("31","/api/KD/G/getInvLossStock")
    ;

    private final String code;
    private final String name;

}
