package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author bubble
 */
@Data
@TableName(value = "TF_STOCKS_AUDITCONFIG", resultMap = "stocksAuditConfigMap")
@KeySequence("TF_STOCKS_AUDITCONFIG")
@ApiModel
public class StocksAuditConfig extends Model<StocksAuditConfig> {
  @TableId(value = "ID", type = IdType.INPUT)
  @ApiModelProperty(value = "主键ID")
  private Long id;

  @ApiModelProperty(value = "流程类型")
  private Long type;

  @ApiModelProperty(value = "审核等级")
  private Long auditLevel;

  @ApiModelProperty(value = "审核人")
  private Long auditUser;

  @ApiModelProperty(value = "审核部门")
  private Long auditDept;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String typeName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditUserName;

  @ApiModelProperty(hidden = true)
  @TableField(exist = false)
  private String auditDeptName;
}
