package com.tofly.yswzMaterials.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @author bubble
 */

@Data
@EqualsAndHashCode(callSuper = true)
@TableName(value = "TF_STOCKS_SUPPLEMENT_DETAIL", resultMap = "stocksSupplementDetailMap")
@KeySequence("TF_STOCKS_SUPPLEMENT_DETAIL")
@ApiModel
public class StocksSupplementDetail extends Model<StocksSupplementDetail> {

    @TableId(value = "ID", type = IdType.INPUT)
    @ApiModelProperty(value = "补充信息主键ID")
    private Long id;

    @ApiModelProperty(value = "库存id")
    private Long stockInfoId;

    @ApiModelProperty(value = "增补数量")
    private Long supplementNum;

    @ApiModelProperty(value = "增补记录id")
    private Long supplementInfoId;

    private Long outstockNum;

}
