package com.tofly.yswzMaterials.entity.vo;

import com.tofly.yswzMaterials.entity.StocksDeviceInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel
public class DeviceInfoStoreVo extends StocksDeviceInfo {

  /** 库存id */
  @ApiModelProperty(value = "库存id")
  private Long stockInfoId;

  /** 设备Id */
  @ApiModelProperty(value = "设备Id")
  private Long deviceId;

  /** 当前库存 */
  @ApiModelProperty(value = "当前库存")
  private Double stockNum;


  /** 入库数量 */
  @ApiModelProperty(value = "入库总数量", hidden = true)
  private Double instockTotalNum;

  /** 出库数量 */
  @ApiModelProperty(value = "出库总数量", hidden = true)
  private Double outstockTotalNum;
  /** 使用数量 */
  @ApiModelProperty(value = "新购入库总数量", hidden = true)
  private Double inStockNewTotalNum;

  /** 转移总数量 */
  @ApiModelProperty(value = "回收退库总数量", hidden = true)
  private Double returnStockTotalNum;

  /** 处置总数量 */
  @ApiModelProperty(value = "增补出库总数量", hidden = true)
  private Double supplementStockTotalNum;

  @ApiModelProperty(value = "外卖出库总数量", hidden = true)
  private Double takeawayTotalNum;

  /** 仓库id */
  @ApiModelProperty(value = "仓库id")
  private Long storeId;

  /** 仓库名称 */
  @ApiModelProperty(value = "仓库名称")
  private String storeName;

  /** 货架id */
  @ApiModelProperty(value = "货架id")
  private Long shelvesId;

  /** 货架编号 */
  @ApiModelProperty(value = "货架编号")
  private String shelvesNo;

  /** 水厂id */
  @ApiModelProperty(value = "水厂id")
  private Long firm;

  /** 水厂名称 */
  @ApiModelProperty(value = "水厂名称")
  private String firmName;
}
