package com.tofly.yswzMaterials.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Bubble
 */
@Data
public class ProfitDetailParamVo {

    @ApiModelProperty(value = "物料编码")
    @JSONField(name = "FItemIDCode")
    private String itemIdCode;

    @ApiModelProperty(value = "物料名称")
    @JSONField(name = "FItemIDName")
    private String itemIdName;

    @ApiModelProperty(value = "规格型号")
    @JSONField(name = "FItemIDModel")
    private String itemIdModel;

    @ApiModelProperty(value = "单位名称")
    @JSONField(name = "FUnitIDName")
    private String unitIdName;

    @ApiModelProperty(value = "仓库名称")
    @JSONField(name = "FStockIDName")
    private String stockIdName;

    @ApiModelProperty(value = "盘盈数量")
    @JSONField(name = "FQty")
    private String qty;

    @ApiModelProperty(value = "单价")
    @JSONField(name = "FPrice")
    private Double price;

    @ApiModelProperty(value = "金额")
    @JSONField(name = "FAmount")
    private Double amount;

    @ApiModelProperty(value = "备注")
    @JSONField(name = "Fnote")
    private String note;

    @ApiModelProperty(value = "存账数量")
    @JSONField(name = "FQtyMust")
    private Double qtyMust;

    @ApiModelProperty(value = "实盘数量")
    @JSONField(name = "FQtyActual")
    private Double qtyActual;

}
