package com.tofly.yswzMaterials.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class ProfitParamVo {

    @ApiModelProperty(value = "盘亏单号")
    @JSONField(name = "FBillNo")
    private String billNo;

    @ApiModelProperty(value = "单据日期")
    @JSONField(name = "FDate")
    private String fDate;

    @ApiModelProperty(value = "验收人")
    @JSONField(name = "FFManagerIDName")
    private String ffManagerIdName;

    @ApiModelProperty(value = "制单人")
    @JSONField(name = "FBillerIDName")
    private String billerIdName;

    @ApiModelProperty(value = "盘盈单详情")
    @JSONField(name = "Entrys")
    private List<ProfitDetailParamVo> detailList;

}
