package com.tofly.yswzMaterials.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Bubble
 */
@Data
public class StorageParamVo {

    @ApiModelProperty(value = "外购入库单号")
    @JSONField(name = "FBillNo")
    private String billNo;

    @ApiModelProperty(value = "单据日期")
    @JSONField(name = "FDate")
    private String fDate;

    @ApiModelProperty(value = "供应商编码")
    @JSONField(name = "FSupplyIDCode")
    private String supplyIdCode;

    @ApiModelProperty(value = "验收人")
    @JSONField(name = "FFManagerIDName")
    private String ffManagerIdName;

    @ApiModelProperty(value = "保管人")
    @JSONField(name = "FSManagerIDName")
    private String fsManagerIdName;

    @ApiModelProperty(value = "制单人")
    @JSONField(name = "FBillerIDName")
    private String billerIdName;

    @ApiModelProperty(value = "摘要")
    @JSONField(name = "FExplanation")
    private String explanation;

    @ApiModelProperty(value = "部门")
    @JSONField(name = "FDeptIDName")
    private String deptIdName;

    @ApiModelProperty(value = "业务员")
    @JSONField(name = "FEmpIDName")
    private String empIdName;

    @ApiModelProperty(value = "入库单详情")
    @JSONField(name = "Entrys")
    private List<StorageDetailParamVo> detailList;

}
