package com.tofly.yswzMaterials.mapper;

import com.tofly.yswzMaterials.entity.dto.ReportQueryDto;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
public interface ReportMapper {

    /**
     * 报单统计
     * @param query query
     * @return list
     */
    List<Map<String, Object>> ticketsTotalCount(@Param("query") ReportQueryDto query);


    /**
     * 入库材料资产统计
     * @param query query
     * @return  list
     */
    List<Map<String, Object>> storageMaterialsCount(@Param("query") ReportQueryDto query, @Param("type") Integer type);

    List<Map<String,Object>> pickingMaterialsCount(@Param("query") ReportQueryDto query, @Param("type") Integer type);

    List<Map<String, Object>> lossMaterialsCount(@Param("query") ReportQueryDto query);

    List<Map<String, Object>> profitMaterialsCount(@Param("query") ReportQueryDto query);

    List<Integer> queryTicketsId(@Param("query")ReportQueryDto query);


}
