/*
 * Author: wangjian
 * 生成mapper
 */
package com.tofly.yswzMaterials.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.yswzMaterials.entity.StocksInstockInfo;
import org.apache.ibatis.annotations.Param;

/**
 * 库存入库信息表
 *
 * @author JF
 * @date Tue Dec 13 00:00:00 CST 2022
 */
public interface StocksInstockInfoMapper extends BaseMapper<StocksInstockInfo> {
  /**
   * 获取最大的入库单号
   *
   * @param instockNo
   * @return
   */
  String getInstockMaxNo(@Param("instockNo") String instockNo);
}
