package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.yswzMaterials.entity.dto.ReportQueryDto;

import java.util.List;
import java.util.Map;

/**
 * @author Bubble
 */
public interface ReportService{

    /**
     * 统计报表-出入库单统计
     * @param query 查询条件
     * @return list
     */
    List<Map<String, Object>> ticketsTotalCount(ReportQueryDto query);

    /**
     * 材料数量成本统计
     * @return map
     */
    Map<String, Object> getMaterialsCount(ReportQueryDto query);

    /**
     * 材料成本单据详情
     * @param query 查询条件
     * @param page page
     * @return page
     */
    Page queryMaterialsDetail(Page page,ReportQueryDto query);
}
