package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksAuditConfig;

import java.util.List;
import java.util.Map;

/**
 * @author bubble
 */
public interface StocksAuditConfigService extends IService<StocksAuditConfig> {

    /**
     * 添加审批流程
     * @param config 配置
     * @return true
     */
    boolean insertAuditConfig(StocksAuditConfig config);

    /**
     * 删除审批配置
     * @param ids ids
     * @return Boolean
     */
    boolean deletesAuditConfig(String ids);

    /**
     * 修改配置信息
     * @param config config
     * @return boolean
     */
    boolean updateAuditConfig(StocksAuditConfig config);

    /**
     * 获取审核信息列表
     * @return list
     */
    List<StocksAuditConfig> getAuditConfigList();

}
