package com.tofly.yswzMaterials.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.yswzMaterials.entity.StocksUnit;
import com.tofly.yswzMaterials.entity.dto.CommonQueryDto;
import com.tofly.yswzMaterials.entity.dto.UnitGroupDto;

import java.util.List;

/**
 * @author Bubble
 */
public interface StocksUnitService extends IService<StocksUnit> {

    /**
     * 获取计量单位信息
     * @return list
     */
    List<UnitGroupDto> getUnitByGroup();

    /**
     * 计量单位查询
     * @param page page
     * @param dto dto
     * @return page
     */
    Page<StocksUnit> pageUnit(Page page, CommonQueryDto dto);

}
